Bug 1933934 - Review Request: luit - Locale to UTF-8 encoding filter
Summary: Review Request: luit - Locale to UTF-8 encoding filter
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1918078 (view as bug list)
Depends On:
Blocks: 1933920
TreeView+ depends on / blocked
 
Reported: 2021-03-02 04:43 UTC by Peter Hutterer
Modified: 2021-03-25 00:16 UTC (History)
3 users (show)

Fixed In Version: luit-1.1.1-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-04 11:36:31 UTC
Type: ---
Embargoed:
panemade: fedora-review+


Attachments (Terms of Use)

Description Peter Hutterer 2021-03-02 04:43:39 UTC
Spec URL: https://people.freedesktop.org/~whot/luit/luit.spec
SRPM URL: https://people.freedesktop.org/~whot/luit/luit-1.1.1-1.fc33.src.rpm
Description:
Luit is a filter that can be run between an arbitrary application and
a UTF-8 terminal emulator such as xterm.  It will convert application
output from the locale's encoding into UTF-8, and convert terminal
input from UTF-8 into the locale's encoding.
Fedora Account System Username: whot

Comment 1 Parag AN(पराग) 2021-03-02 11:09:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Suggestions:
1) Good to add some comment above patches about why they are in Fedora only and not upstream.
2) Fix the rpmlint warning ( I am not sure how this can be fixed. Maybe you can check this after package import in Fedora?)

 luit.x86_64: E: missing-call-to-setgroups-before-setuid /usr/bin/luit
This executable is calling setuid and setgid without setgroups or initgroups.
There is a high probability this means it didn't relinquish all groups, and
this would be a potential security issue to be fixed. Seek POS36-C on the web
for details about the problem.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated", "NTP License (legal
     disclaimer)", "NTP License (legal disclaimer) [generated file]", "FSF
     Unlimited License (with Retention) [generated file]", "GNU General
     Public License v2.0 or later [generated file]", "FSF Unlimited License
     [generated file]", "Expat License [generated file]", "GNU General
     Public License v2.0 or later", "[generated file]". 8 files have
     unknown license. Detailed output of licensecheck in
     /home/test/1933934-luit/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[-]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: luit-1.1.1-1.fc35.x86_64.rpm
          luit-debuginfo-1.1.1-1.fc35.x86_64.rpm
          luit-debugsource-1.1.1-1.fc35.x86_64.rpm
          luit-1.1.1-1.fc35.src.rpm
luit.x86_64: E: missing-call-to-setgroups-before-setuid /usr/bin/luit
4 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: luit-debuginfo-1.1.1-1.fc35.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
luit.x86_64: E: missing-call-to-setgroups-before-setuid /usr/bin/luit
3 packages and 0 specfiles checked; 1 errors, 0 warnings.



Source checksums
----------------
https://www.x.org/pub/individual/app/luit-1.1.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : 30b0e787cb07a0f504b70f1d6123930522111ce9d4276f6683a69b322b49c636
  CHECKSUM(SHA256) upstream package : 30b0e787cb07a0f504b70f1d6123930522111ce9d4276f6683a69b322b49c636


Requires
--------
luit (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libfontenc.so.1()(64bit)
    rtld(GNU_HASH)
    xorg-x11-fonts-misc

luit-debuginfo (rpmlib, GLIBC filtered):

luit-debugsource (rpmlib, GLIBC filtered):



Provides
--------
luit:
    luit
    luit(x86-64)

luit-debuginfo:
    debuginfo(build-id)
    luit-debuginfo
    luit-debuginfo(x86-64)

luit-debugsource:
    luit-debugsource
    luit-debugsource(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1933934 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: Perl, Ocaml, fonts, PHP, R, Java, SugarActivity, Haskell, Python
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

APPROVED.

Comment 2 Tomas Hrcka 2021-03-03 13:16:21 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/luit

Comment 3 Fedora Update System 2021-03-04 12:23:08 UTC
FEDORA-2021-c32498766f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

Comment 4 Fedora Update System 2021-03-04 16:59:35 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-c32498766f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c32498766f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Mattia Verga 2021-03-10 14:02:54 UTC
*** Bug 1918078 has been marked as a duplicate of this bug. ***

Comment 6 Fedora Update System 2021-03-25 00:16:38 UTC
FEDORA-2021-c32498766f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.